Skip to Content
veriom

Get workspace onboarding

Expose one actionable path from connector setup to first current truth.

GET
/v1/workspaces/{workspace_id}/onboarding

Expose one actionable path from connector setup to first current truth.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
abandoned_source_count?Abandoned Source Count
Range0 <= value
Default0
completion_rate*Completion Rate
first_truth_ready*First Truth Ready
generated_at*Generated At
Formatdate-time
items*array<>
next_source?|null
ready_source_count*Ready Source Count
Range0 <= value
retry_count?Retry Count
Range0 <= value
Default0
started_source_count*Started Source Count
Range0 <= value
support_codes?array<string>
time_to_first_truth_seconds?|null
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/onboarding'
Example Response
{  "abandoned_source_count": 0,  "completion_rate": "string",  "first_truth_ready": true,  "generated_at": "2019-08-24T14:15:22Z",  "items": [    {      "checks": [        {          "blocking": true,          "code": "string",          "detail": "string",          "dimension": "configuration",          "error_category": "authorization",          "label": "string",          "next_action": "string",          "recoverable": true,          "status": "passed",          "support_code": "string"        }      ],      "ready": true,      "schema_version": "onboarding-assessment-v1",      "source": "github",      "state": "not_started"    }  ],  "next_source": "github",  "ready_source_count": 0,  "retry_count": 0,  "started_source_count": 0,  "support_codes": [    "string"  ],  "time_to_first_truth_seconds": 0}